#!/usr/bin/env bash
set -e
DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
source $(pwd)/config/configuration
source /deployment/deploy/helpers/run_command.sh
source /deployment/deploy/helpers/print_line.sh


export ENV=localdev
export REGISTRY="artifactory-pub.bit9.local:5000"
export IMAGE_TAG="${REGISTRY}/cbd/${SERVICE_NAME}:${IMAGE_VERSION:-latest}"
export DEPLOY=${DEPLOY:-false}
export PURGE_STRATEGY_NEVER=${PURGE_STRATEGY_NEVER:-false}

/deployment/build/build.sh

if [ "$DEPLOY" = true ]; then
    USER=${ARTIFACTORY_PUB_USERNAME}
    TOKEN=${ARTIFACTORY_PUB_PASSWORD}

    IMAGE_TAG=${IMAGE_TAG} \
    DOCKER_USER="${USER}" \
    DOCKER_PASSWORD="${TOKEN}" \
    DOCKER_REGISTRY="${REGISTRY}" \
    /deployment/build/push.sh
fi